Heart Bleed Security Leak!

highpriorityurgent

There has been a leak in the security used in 2/3’s of all websites. It’s called Heart Bleed. It makes it easy for hackers to monitor your communications and steal your information. A patch for it has been issued: Fixed OpenSSL and if you use passwords in your website for customer log ins, you should deploy the patch as soon as possible.

If you are worried about your information on other’s sites, you should change your passwords on major sites now. For smaller enterprises, you should contact them and ask if they have deployed Fixed OpenSSL before changing your password. If they have not, you will need to change the password again.

Here is a nice resource for you: http://heartbleed.com/

Leave a Reply

Your email address will not be published. Required fields are marked *